@import url('https://fonts.googleapis.com/css2?family=Fredoka:wght@300..700&display=swap');

/* === VARIÁVEIS DO PROJETO === */
:root {
  --fonte-principal: "Fredoka", sans-serif;
  --cor-primaria: #c0bebb;
  --cor-secundaria: #eb580c;
  --cor-terciaria: #79756f;
  --cor-texto: #424141;
  --cor-fundo: #faf5e9;
  --cor-texto-botoes: #fff;
  --cor-card-frente: #f0f0f0;
  --cor-card-verso: #ddd;
  --borda-padrao: 7px;
  --transicao-curta: 0.3s;
  --transicao-media: 0.4s;
}

/* === BASE DE DESENVOLVIMENTO === */
html, body {
  scroll-behavior: smooth;
  overflow-x: hidden;
}
body {
  font-family: var(--fonte-principal);
  margin: 0.5dvh 0.25dvw;
  padding: 0.25dvw;
}
a {
  text-decoration: none;
  color: var(--cor-fundo)
}
a:hover {
  text-decoration: underline;
  color: var(--cor-primaria);
}
h1, h2, h3, h4, h5, h6 {
  margin: 0;
  padding: 0;
  color: var(--cor-fundo);
}
p {
  margin: 0;
  padding: 0;
  color: var(--cor-fundo);
  text-align: center;
}

/* === LAYOUT PADRÃO === */
.container_principal {
  display: flex;
  flex-direction: column;
  align-items:center; /* ALINHAMENTO HORIZONTAL (FLEX DIRECTION COLUMN) */
  justify-content:center; /* ALINHAMENTO VERTICAL  (FLEX DIRECTION COLUMN)  */
  width: 99dvw;
  min-height: 98dvh;
  background-color: var(--cor-terciaria);
  border-radius: var(--borda-padrao);
}




/* === RESPONSIVIDADE === */
@media (min-width: 1920px) {
  
}
@media (min-width: 1280px) {
  
}

@media (max-width: 992px) {
  
}

@media (max-width: 768px) {
 
}
@media (max-width: 420px) {

}